# eric6.Preferences.ConfigurationPages.EditorGeneralPage

Module implementing the Editor General configuration page.

### Global Attributes

None

### Classes

EditorGeneralPage | Class implementing the Editor General configuration page.

### Functions

create | Module function to create the configuration page.

## EditorGeneralPage

Class implementing the Editor General configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorGeneralPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorGeneralPage | Constructor
on_tabforindentationCheckBox_toggled | Private slot used to set the tab conversion check box.
save | Public slot to save the Editor General configuration.

### Static Methods

None

#### EditorGeneralPage (Constructor)

EditorGeneralPage()

Constructor

#### EditorGeneralPage.on_tabforindentationCheckBox_toggled

on_tabforindentationCheckBox_toggled(checked)

Private slot used to set the tab conversion check box.

checked
  flag received from the signal (boolean)

#### EditorGeneralPage.save

save()

Public slot to save the Editor General configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up